LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07107Bug reports[All Projects] Authenticationpublic2012-12-18 17:292012-12-20 22:56
ReporterpfpDave 
Assigned Tomdekker 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07107: Can't login using http://<serverurl>/admin [^] following fresh install of 121213
DescriptionJust installed 121213 and navigating to http://<serverURL>/admin [^] takes you to the non-admin survey list (even though the URL is changed to: http://pfpconsult-train/index.php/admin [^])
Navigating manually to: http://<serverURL>/index.php?r=admin/authentication/sa/login [^] works
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121213
BrowserIE8
Database & DB-VersionSQL Express 2012
Operating System (Server)Server 2008
Webserver software & versionIIS 7
PHP Version5.4.8
Attached Files

- Relationships

-  Notes
User avatar (23270)
mdekker (developer)
2012-12-19 09:53

Also discussed in forum: http://www.limesurvey.org/en/forum/installation-a-update-issues/90313-no-login-screen#90333 [^]

The files that redirect don't create the link correct
User avatar (23271)
mdekker (developer)
2012-12-19 09:56

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10954 [^]
User avatar (23272)
mdekker (developer)
2012-12-19 09:57

Could you please verify that the fix works? I have no IIS to test.
User avatar (23273)
mdekker (developer)
2012-12-19 09:59

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10955 [^]
User avatar (23275)
pfpDave (reporter)
2012-12-19 10:54

Works for me, many thanks
User avatar (23302)
mdekker (developer)
2012-12-20 12:14

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10963 [^]
User avatar (23303)
mdekker (developer)
2012-12-20 12:29

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10964 [^]
User avatar (23323)
c_schmitz (administrator)
2012-12-20 22:56

2.00+ build 121220 released.

- Related Changesets
LimeSurvey: master cd8dc220
Timestamp: 2012-12-19 08:56:19
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 07107: Login using http://<serverurl>/admin [^] broken on IIS
dev: since redirect is ouside of yii, i can not read config or use createurl
mod - admin/admin.php Diff ] File ]
mod - admin/index.php Diff ] File ]
LimeSurvey: 2.1 9685c66e
Timestamp: 2012-12-19 08:58:57
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 07107: Login using http://<serverurl>/admin [^] broken on IIS
dev: since redirect is ouside of yii, i can not read config or use createurl
mod - admin/admin.php Diff ] File ]
mod - admin/index.php Diff ] File ]
LimeSurvey: master 04f5b1f0
Timestamp: 2012-12-20 11:08:09
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 07107: Login using http://<serverurl>/admin [^] broken on IIS
dev: now checking path style in config
mod - admin/admin.php Diff ] File ]
mod - admin/index.php Diff ] File ]
LimeSurvey: 2.1 3264e657
Timestamp: 2012-12-20 11:13:35
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 07107: Login using http://<serverurl>/admin [^] broken on IIS
dev: now checking path style in config
mod - admin/admin.php Diff ] File ]
mod - admin/index.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-18 17:29 pfpDave New Issue
2012-12-19 09:49 mdekker Assigned To => mdekker
2012-12-19 09:49 mdekker Status new => assigned
2012-12-19 09:53 mdekker Note Added: 23270
2012-12-19 09:56 mdekker Changeset attached => LimeSurvey master cd8dc220
2012-12-19 09:56 mdekker Note Added: 23271
2012-12-19 09:56 mdekker Resolution open => fixed
2012-12-19 09:57 mdekker Note Added: 23272
2012-12-19 09:59 mdekker Changeset attached => LimeSurvey 2.1 9685c66e
2012-12-19 09:59 mdekker Note Added: 23273
2012-12-19 10:54 pfpDave Note Added: 23275
2012-12-19 13:58 mdekker Status assigned => resolved
2012-12-19 13:58 mdekker Fixed in Version => 2.00+
2012-12-20 12:14 mdekker Changeset attached => LimeSurvey master 04f5b1f0
2012-12-20 12:14 mdekker Note Added: 23302
2012-12-20 12:29 mdekker Changeset attached => LimeSurvey 2.1 3264e657
2012-12-20 12:29 mdekker Note Added: 23303
2012-12-20 22:56 c_schmitz Note Added: 23323
2012-12-20 22:56 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker